/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomEvent_H___INT_
#define __GdomEvent_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "Event.h"
G_BEGIN_DECLS
class GDOMEvent : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_EVENT; }
    GDOMEvent(PassRefPtr<WebCore::Event> impl);
    virtual ~GDOMEvent();
    WebCore::Event* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::Event> m_impl;
};
G_END_DECLS

#endif /* __GdomEvent_H___INT_*/
